C This program creates a histogram of the input data
C The minimum value to be histogramed is min_x
C The maximum value to be histogramed is max_x
C The number of values to histogram is N
C The bin width of the histogram is dx

      program DOHIST

      implicit none

      integer MAX_N
      parameter(MAX_N = 1000000)
      integer loop, N, i, j, hist(0:MAX_N)
      real*8 x, y, dx, max_x, min_x

      do i = 0, MAX_N
        hist(i) = 0
      end do
      print *,'enter min_x, max_x'
      read *, min_x, max_x
      print *,'enter N'
      read *, N
      print *,'enter dx'
      read *, dx
      do loop = 1, N
        read(1,*) x
        i = (x-min_x)/dx
        i = max(i, 0)
        i = min(i, MAX_N)
        hist(i) = hist(i) + 1
      end do
      j = (max_x - min_x)/dx
      j = min(j, MAX_N)
      do loop = 0, j
        x = loop*dx + min_x
        write(2,*) x, hist(loop)
      end do
      end
