/*

  Marco Falcioni (C) 1997

  trial type. Basically an array, but with strong type checking

*/

#ifndef __trial_h
#define __trial_h

/* includes */
#include <stdio.h>

struct Trial {
  double dx;
  double dy;
  double dz;
  double radius;
};


/* function prototypes */

struct Trial * new_Trial(double radius);
struct Trial * renew_Trial(struct Trial * me);
struct Trial * reverse_Trial(struct Trial * me);
void delete_Trial(struct Trial * me);
void print_Trial(struct Trial * me, FILE * stream);


#endif
